## yaz 5.35.1

=== debian/changelog ===
yaz (5.35.1-1) unstable; urgency=medium

  * New upstream version 5.35.1.
  * debian/rules: Remove build dates from man pages to support multi-arch.
  * libyaz5.symbols: Add cql_transform_define_{FILE|fname}.

 -- Hugh McMaster <hmc@debian.org>  Wed, 23 Jul 2025 21:08:00 +1000

=== debian/control ===
Source: yaz
Section: utils
Standards-Version: 4.7.0
Maintainer: Vincent Danjean <vdanjean@debian.org>
Uploaders: Hugh McMaster <hmc@debian.org>
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 autoconf,
 automake,
 bison,
 docbook-dsssl,
 docbook-xml,
 docbook-xsl,
 gawk,
 libgnutls28-dev,
 libicu-dev,
 libpcap0.8-dev,
 libreadline-dev,
 libtool,
 libwrap0-dev,
 libxslt1-dev,
 pkgconf,
 tcl,
 xsltproc
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/yaz
Vcs-Git: https://salsa.debian.org/debian/yaz.git
Homepage: https://www.indexdata.com/resources/software/yaz/

Package: libyaz5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Z39.50/SRW/SRU toolkit (libraries)
 YAZ is a toolkit for the development of client and server software built
 around the ANSI Z39.50 (ISO 23950) standard for information retrieval.
 .
 YAZ supports Z39.50-2003 (version 3), SRU versions 1.1 to 2.0, and the
 industry standard ZOOM API for Z39.50.
 .
 This package provides the yaz, yaz-icu and yaz-server libraries.

Package: yaz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: yaz-runtime, yaz-ssl
Description: Z39.50/SRW/SRU toolkit (utilities)
 YAZ is a toolkit for the development of client and server software built
 around the ANSI Z39.50 (ISO 23950) standard for information retrieval.
 .
 YAZ supports Z39.50-2003 (version 3), SRU versions 1.1 to 2.0, and the
 industry standard ZOOM API for Z39.50.
 .
 This package provides several utility programs for retrieving and working
 with data records obtained from URLs and web services.

Package: yaz-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Z39.50/SRW/SRU toolkit (documentation)
 YAZ is a toolkit for the development of client and server software built
 around the ANSI Z39.50 (ISO 23950) standard for information retrieval.
 .
 YAZ supports Z39.50-2003 (version 3), SRU versions 1.1 to 2.0, and the
 industry standard ZOOM API for Z39.50.
 .
 This package provides HTML documentation for YAZ.

Package: libyaz-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libicu-dev,
 libgnutls28-dev,
 libwrap0-dev,
 libxslt1-dev,
 libyaz5 (= ${binary:Version}),
 ${misc:Depends}
Recommends: tcl
Suggests: yaz-doc
Description: Z39.50/SRW/SRU toolkit (development files)
 YAZ is a toolkit for the development of client and server software built
 around the ANSI Z39.50 (ISO 23950) standard for information retrieval.
 .
 YAZ supports Z39.50-2003 (version 3), SRU versions 1.1 to 2.0, and the
 industry standard ZOOM API for Z39.50.
 .
 This package includes development libraries and C/C++ header files.

Package: yaz-illclient
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Z39.50/SRW/SRU toolkit (command-line client for ILL)
 YAZ is a toolkit for the development of client and server software built
 around the ANSI Z39.50 (ISO 23950) standard for information retrieval.
 .
 YAZ supports Z39.50-2003 (version 3), SRU versions 1.1 to 2.0, and the
 industry standard ZOOM API for Z39.50.
 .
 The yaz-illclient program is a command-line client that sends ISO ILL
 requests to a server and decodes the response.

Package: yaz-icu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Z39.50/SRW/SRU toolkit (command-line client for ICU)
 YAZ is a toolkit for the development of client and server software built
 around the ANSI Z39.50 (ISO 23950) standard for information retrieval.
 .
 YAZ supports Z39.50-2003 (version 3), SRU versions 1.1 to 2.0, and the
 industry standard ZOOM API for Z39.50.
 .
 The yaz-icu program is a command-line client that exposes the ICU chain
 module of YAZ.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

execute_before_dh_clean:
	$(RM) doc/local.ent

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-tcpd --with-xslt \
		--with-gnutls --with-icu --with-xml2

override_dh_installdocs-indep:
	for i in 1 7 8; do \
	    sed -i -r 's/([0-9]+\/){2}[0-9]+//' debian/tmp/usr/share/man/man$$i/*.$$i; \
	done
	dh_installdocs -p yaz-doc --doc-main-package=libyaz-dev

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

=== debian/watch ===
version=4
https://ftp.indexdata.com/pub/@PACKAGE@/ @PACKAGE@-(\d[\.\d]+)@ARCHIVE_EXT@

## yaz 5.37.0

=== debian/changelog ===
yaz (5.37.0-1) unstable; urgency=medium

  * New upstream version 5.37.0.
  * debian/control:
    - Drop Priority field (Standards-Version 4.7.3).
    - Drop Rules-Requires-Root field (Lintian).
    - Raise Standards-Version to 4.7.3 from 4.7.0.
    - Use ${source:Synopsis} and ${source:Extended-Description}.
  * debian/copyright: Update for YAZ 5.37.0 and 2026.
  * debian/watch: Convert to Version 5 format.
  * libyaz5.symbols: Add nmem_from_xml_buffer and nmem_printf.

 -- Hugh McMaster <hmc@debian.org>  Tue, 13 Jan 2026 21:23:17 +1100

=== debian/control ===
Source: yaz
Section: utils
Standards-Version: 4.7.3
Maintainer: Vincent Danjean <vdanjean@debian.org>
Uploaders: Hugh McMaster <hmc@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 autoconf,
 automake,
 bison,
 docbook-dsssl,
 docbook-xml,
 docbook-xsl,
 gawk,
 libgnutls28-dev,
 libicu-dev,
 libpcap0.8-dev,
 libreadline-dev,
 libtool,
 libwrap0-dev,
 libxslt1-dev,
 pkgconf,
 tcl,
 xsltproc
Homepage: https://www.indexdata.com/resources/software/yaz/
Vcs-Browser: https://salsa.debian.org/debian/yaz
Vcs-Git: https://salsa.debian.org/debian/yaz.git
Description: Z39.50/SRW/SRU toolkit
 YAZ is a toolkit for the development of client and server software built
 around the ANSI Z39.50 (ISO 23950) standard for information retrieval.
 .
 YAZ supports Z39.50-2003 (version 3), SRU versions 1.1 to 2.0, and the
 industry standard ZOOM API for Z39.50.

Package: libyaz5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} (libraries)
 ${source:Extended-Description}
 .
 This package provides the yaz, yaz-icu and yaz-server libraries.

Package: yaz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: yaz-runtime, yaz-ssl
Description: ${source:Synopsis} (utilities)
 ${source:Extended-Description}
 .
 This package provides several utility programs for retrieving and working
 with data records obtained from URLs and web services.

Package: yaz-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package provides HTML documentation for YAZ.

Package: libyaz-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libicu-dev,
 libgnutls28-dev,
 libwrap0-dev,
 libxslt1-dev,
 libyaz5 (= ${binary:Version}),
 ${misc:Depends}
Recommends: tcl
Suggests: yaz-doc
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package includes development libraries and C/C++ header files.

Package: yaz-illclient
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} (command-line client for ILL)
 ${source:Extended-Description}
 .
 The yaz-illclient program is a command-line client that sends ISO ILL
 requests to a server and decodes the response.

Package: yaz-icu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} (command-line client for ICU)
 ${source:Extended-Description}
 .
 The yaz-icu program is a command-line client that exposes the ICU chain
 module of YAZ.

=== debian/watch ===
Version: 5

Source: https://ftp.indexdata.com/pub/yaz
Matching-Pattern: yaz-(\d[\.\d]+)@ARCHIVE_EXT@

## yaz modified

=== Makefile ===
#
# $Id: Makefile.in,v 1.15 2005/12/09 16:33:51 jsommers Exp $
#

#
# Copyright (c) 2005  Joel Sommers.  All rights reserved.
#
# This file is part of yaz, an end-to-end available bandwidth
# measurement tool.
#
# Yaz is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Yaz is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Yaz; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

srcdir = .
prefix = /usr/local


#############################################################################

OBJS=yaz.o yaz_recv.o yaz_send.o main.o 

CXX=g++
CPPFLAGS= -I/usr/include/pcap -D_REENTRANT
CXXFLAGS=-g -Wall -pthread
LIBS=-lpthread 
LDFLAGS=

#############################################################################

TARGET=yaz

all: $(TARGET) 

$(TARGET): $(OBJS)
	$(CXX) -o $@ $(OBJS) $(LDFLAGS) $(LIBS)

clean:
	rm -f $(OBJS) $(TARGET) *~ 

distclean: clean
	rm -f Makefile config.log config.status config.h

install: $(TARGET)
	echo "install it manually"

.cc.o:
	$(CXX) -c $< $(CPPFLAGS) $(CXXFLAGS)

#############################################################################

yaz.o: yaz.cc yaz.h

yaz_recv.o: yaz_recv.cc yaz.h

yaz_send.o: yaz_send.cc yaz.h

main.o: main.cc yaz.h
